# Class Expression

java.lang.Object
jakarta.servlet.jsp.el.Expression

@Deprecated public abstract class Expression extends Object
Deprecated.
As of JSP 2.1, replaced by jakarta.el.ValueExpression

The abstract class for a prepared expression.

An instance of an Expression can be obtained via from an ExpressionEvaluator instance.

An Expression may or not have done a syntactic parse of the expression. A client invoking the evaluate() method should be ready for the case where ELParseException exceptions are raised.

Since:
  JSP 2.0

## Constructor Summary

Constructors
Constructor
Description
`Expression()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`abstract Object`
`evaluate(VariableResolver vResolver)`
Deprecated.
Evaluates an expression that was previously prepared.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Expression

public Expression()
Deprecated.

## Method Details

### evaluate

public abstract Object evaluate(VariableResolver vResolver) throws ELException
Deprecated.
Evaluates an expression that was previously prepared. In some implementations preparing an expression involves full syntactic validation, but others may not do so. Evaluating the expression may raise an ELParseException as well as other ELExceptions due to run-time evaluation.

Parameters:
  `vResolver` - A VariableResolver instance that can be used at runtime to resolve the name of implicit objects into Objects.
Returns:
  The result of the expression evaluation.
Throws:
  `ELException` - Thrown if the expression evaluation failed.